import type { String } from "../../../../../../java/lang/String";

/**
 * Get methods for accessing field constants defined in {@link senselogic.sitevision.api.webresource.mime.MimeTypeUtil}.
 *
 *  <p>
 *     The sole purpose of this interface is to provide access to {@link senselogic.sitevision.api.webresource.mime.MimeTypeUtil}
 *     constants in Velocity, e.g: <code>$mimeTypeUtil.GENERIC_MIME_TYPE</code>
 *  </p>
 * @author Magnus Lövgren
 * @since Sitevision 3.6.2
 */
export type MimeTypeUtilConstants = {
  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.mime.MimeTypeUtil#GENERIC_MIME_TYPE}.
   * @return {@link senselogic.sitevision.api.webresource.mime.MimeTypeUtil#GENERIC_MIME_TYPE}
   */
  getGENERIC_MIME_TYPE(): string;
};
