import type { String } from "../../../../../../java/lang/String";

/**
 * Get methods for accessing field constants defined in {@link senselogic.sitevision.api.node.NodeTypeUtil}.
 *
 *  <p>
 *     The sole purpose of this interface is to provide access to {@link senselogic.sitevision.api.node.NodeTypeUtil}
 *     constants in Velocity, e.g: <code>$nodeTypeUtil.PAGE_TYPE</code>
 *  </p>
 * @author Magnus Lövgren
 * @since Sitevision 3.6.2
 */
export type NodeTypeUtilConstants = {
  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#APPLICATION_INDEX_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#APPLICATION_INDEX_TYPE}
   */
  getAPPLICATION_INDEX_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ARCHIVE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ARCHIVE_TYPE}
   */
  getARCHIVE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ARTICLE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ARTICLE_TYPE}
   */
  getARTICLE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_TYPE}
   */
  getCOLLABORATION_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_FOLDER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_FOLDER_TYPE}
   */
  getCOLLABORATION_GROUP_FOLDER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_PAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_PAGE_TYPE}
   */
  getCOLLABORATION_GROUP_PAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_TEMPLATE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLABORATION_GROUP_TEMPLATE_TYPE}
   */
  getCOLLABORATION_GROUP_TEMPLATE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLOR_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLOR_TYPE}
   */
  getCOLOR_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_TYPE}
   */
  getDECORATION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DIRECTORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DIRECTORY_TYPE}
   */
  getDIRECTORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_TYPE}
   */
  getFILE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FOLDER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FOLDER_TYPE}
   */
  getFOLDER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FONT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FONT_TYPE}
   */
  getFONT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_TYPE}
   */
  getIMAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LAYOUT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LAYOUT_TYPE}
   */
  getLAYOUT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LINKED_LAYOUT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LINKED_LAYOUT_TYPE}
   * @since Sitevision 10
   */
  getLINKED_LAYOUT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LINK_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LINK_TYPE}
   */
  getLINK_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LLM_CONFIGURATION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LLM_CONFIGURATION_TYPE}
   * @since Sitevision 2024.08.1
   */
  getLLM_CONFIGURATION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LLM_CONFIGURATION_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LLM_CONFIGURATION_REPOSITORY_TYPE}
   * @since Sitevision 2024.08.1
   */
  getLLM_CONFIGURATION_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#NODE_INDEX_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#NODE_INDEX_TYPE}
   */
  getNODE_INDEX_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_TYPE}
   */
  getPAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PORTLET_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PORTLET_TYPE}
   */
  getPORTLET_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_TYPE}
   */
  getSITE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_PAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_PAGE_TYPE}
   */
  getSITE_PAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_FOLDER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_FOLDER_TYPE}
   */
  getSTRUCTURE_FOLDER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_LINK_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_LINK_TYPE}
   */
  getSTRUCTURE_LINK_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_PAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#STRUCTURE_PAGE_TYPE}
   */
  getSTRUCTURE_PAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPLATE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPLATE_TYPE}
   */
  getTEMPLATE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TRASHCAN_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TRASHCAN_TYPE}
   */
  getTRASHCAN_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_TYPE}
   */
  getUSER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_IDENTITY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_IDENTITY_TYPE}
   */
  getUSER_IDENTITY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_TYPE}
   */
  getRSS_FEED_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_ITEM_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_ITEM_TYPE}
   */
  getRSS_FEED_ITEM_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RSS_FEED_REPOSITORY_TYPE}
   */
  getRSS_FEED_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ADMIN_PRINCIPAL_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ADMIN_PRINCIPAL_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getADMIN_PRINCIPAL_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ALIAS_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ALIAS_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getALIAS_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ALIAS_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ALIAS_TYPE}
   * @since Sitevision 8.2.1
   */
  getALIAS_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ALTERNATIVE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ALTERNATIVE_TYPE}
   * @since Sitevision 3.6.3
   */
  getALTERNATIVE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#BREAK_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#BREAK_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getBREAK_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#CAPTCHA_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#CAPTCHA_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getCAPTCHA_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLOR_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLOR_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getCOLOR_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COMMENT_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COMMENT_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getCOMMENT_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DATE_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DATE_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getDATE_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getDECORATION_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_TEMPLATE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DECORATION_TEMPLATE_TYPE}
   * @since Sitevision 3.6.3
   */
  getDECORATION_TEMPLATE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DEFAULT_IMAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DEFAULT_IMAGE_TYPE}
   * @since Sitevision 3.6.3
   */
  getDEFAULT_IMAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DEFAULT_IMAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DEFAULT_IMAGE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getDEFAULT_IMAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DIRECTORY_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DIRECTORY_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getDIRECTORY_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_PRINCIPAL_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_PRINCIPAL_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getEXTERNAL_PRINCIPAL_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_EXTENSION_ICON_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_EXTENSION_ICON_TYPE}
   * @since Sitevision 3.6.3
   */
  getFILE_EXTENSION_ICON_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getFILE_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FILE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getFILE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FILTERED_IMAGE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FILTERED_IMAGE_TYPE}
   * @since Sitevision 3.6.3
   */
  getFILTERED_IMAGE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FONT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FONT_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getFONT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#FORM_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#FORM_TYPE}
   * @since Sitevision 3.6.3
   */
  getFORM_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#GRADE_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#GRADE_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getGRADE_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ICON_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ICON_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getICON_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_FILTER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_FILTER_TYPE}
   * @since Sitevision 3.6.3
   */
  getIMAGE_FILTER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_FILTER_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_FILTER_REPOSITORY_TYPE}
   * @since Sitevision 2023.09.1
   */
  getIMAGE_FILTER_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#IMAGE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getIMAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LAYOUT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LAYOUT_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getLAYOUT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LIST_STYLE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LIST_STYLE_TYPE}
   * @since Sitevision 3.6.3
   */
  getLIST_STYLE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LIST_STYLE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LIST_STYLE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getLIST_STYLE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_COLOR_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_COLOR_TYPE}
   * @since Sitevision 3.6.3
   */
  getLOCAL_COLOR_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_FILE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_FILE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getLOCAL_FILE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_IMAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#LOCAL_IMAGE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getLOCAL_IMAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_ALTERNATIVE_ITEM_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_ALTERNATIVE_ITEM_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_ALTERNATIVE_ITEM_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DEFINITION_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DEFINITION_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_DEFINITION_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DEFINITION_TEMPLATE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DEFINITION_TEMPLATE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_DEFINITION_TEMPLATE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DIRECTORY_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DIRECTORY_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_DIRECTORY_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_IMAGE_PORTLET_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_IMAGE_PORTLET_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_IMAGE_PORTLET_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_INTEGER_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_INTEGER_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_INTEGER_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_KEYWORD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_KEYWORD_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_KEYWORD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_KEYWORD_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_KEYWORD_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_KEYWORD_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_LINK_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_LINK_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_LINK_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MEDIA_PORTLET_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MEDIA_PORTLET_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_MEDIA_PORTLET_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_MULTIPLE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_RELATED_INFORMATION_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_RELATED_INFORMATION_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_RELATED_INFORMATION_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_SINGLE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_SYSTEM_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_TEXT_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_TEXT_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_TEXT_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_TEXT_PORTLET_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_TEXT_PORTLET_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_TEXT_PORTLET_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_USER_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_USER_DEFINITION_TYPE}
   * @since Sitevision 3.6.3
   */
  getMETADATA_USER_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_TAG_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_TAG_DEFINITION_TYPE}
   * @since Sitevision 6.2
   */
  getMETADATA_SINGLE_TAG_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_TAG_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_TAG_DEFINITION_TYPE}
   * @since Sitevision 6.2
   */
  getMETADATA_MULTIPLE_TAG_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_IMAGE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_IMAGE_DEFINITION_TYPE}
   * @since Sitevision 2024.01.1
   */
  getMETADATA_SYSTEM_IMAGE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_INTEGER_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_INTEGER_DEFINITION_TYPE}
   * @since Sitevision 2024.01.1
   */
  getMETADATA_SYSTEM_INTEGER_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_LINK_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_LINK_DEFINITION_TYPE}
   * @since Sitevision 2024.01.1
   */
  getMETADATA_SYSTEM_LINK_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_TEXT_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SYSTEM_TEXT_DEFINITION_TYPE}
   * @since Sitevision 2024.01.1
   */
  getMETADATA_SYSTEM_TEXT_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DATE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_DATE_DEFINITION_TYPE}
   * @since Sitevision 2024.01.1
   */
  getMETADATA_DATE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MOBILE_APP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MOBILE_APP_TYPE}
   * @since Sitevision 3.6.3
   * @deprecated As of Sitevision 10 this type no longer exist
   */
  getMOBILE_APP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MULTIPLE_SELECTION_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MULTIPLE_SELECTION_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getMULTIPLE_SELECTION_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#NAMED_REFERENCE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#NAMED_REFERENCE_TYPE}
   * @since Sitevision 3.6.3
   */
  getNAMED_REFERENCE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#NAMED_REFERENCE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#NAMED_REFERENCE_REPOSITORY_TYPE}
   * @since Sitevision 4.2.2
   */
  getNAMED_REFERENCE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ORDER_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ORDER_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getORDER_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ORDER_ITEM_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ORDER_ITEM_TYPE}
   * @since Sitevision 3.6.3
   */
  getORDER_ITEM_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMMENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMMENT_TYPE}
   * @since Sitevision 3.6.3
   */
  getPAGE_COMMENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_SUB_COMMENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_SUB_COMMENT_TYPE}
   * @since Sitevision 7
   */
  getPAGE_SUB_COMMENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMMENT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMMENT_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getPAGE_COMMENT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMPONENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_COMPONENT_TYPE}
   * @since Sitevision 3.6.3
   */
  getPAGE_COMPONENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_CONTENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_CONTENT_TYPE}
   * @since Sitevision 3.6.3
   */
  getPAGE_CONTENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PAGE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getPAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PARTICIPANTS_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PARTICIPANTS_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getPARTICIPANTS_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PERSONAL_FILE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PERSONAL_FILE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getPERSONAL_FILE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PERSONAL_IMAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PERSONAL_IMAGE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getPERSONAL_IMAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PRINCIPAL_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PRINCIPAL_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getPRINCIPAL_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#PROFILE_VIEW_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#PROFILE_VIEW_TYPE}
   * @since Sitevision 3.6.3
   */
  getPROFILE_VIEW_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_TYPE}
   * @since Sitevision 3.6.3
   */
  getRATING_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getRATING_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_TYPE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RATING_TYPE_TYPE}
   * @since Sitevision 3.6.3
   */
  getRATING_TYPE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RECIPIENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RECIPIENT_TYPE}
   * @since Sitevision 3.6.3
   */
  getRECIPIENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RECIPIENTS_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RECIPIENTS_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getRECIPIENTS_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RESPONSIVE_BREAKPOINT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RESPONSIVE_BREAKPOINT_TYPE}
   * @since Sitevision 3.6.3
   */
  getRESPONSIVE_BREAKPOINT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#REFERENCE_LAYOUT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#REFERENCE_LAYOUT_TYPE}
   * @since Sitevision 3.6.3
   */
  getREFERENCE_LAYOUT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ROOT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ROOT_TYPE}
   * @since Sitevision 3.6.3
   */
  getROOT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SCRIPT_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SCRIPT_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getSCRIPT_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SIMPLE_USER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SIMPLE_USER_TYPE}
   * @since Sitevision 3.6.3
   */
  getSIMPLE_USER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SINGLE_SELECTION_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SINGLE_SELECTION_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getSINGLE_SELECTION_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_COOKIE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_COOKIE_TYPE}
   * @since Sitevision 9.1
   */
  getSITE_COOKIE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_COOKIE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SITE_COOKIE_REPOSITORY_TYPE}
   * @since Sitevision 9.1
   */
  getSITE_COOKIE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_ALTERNATIVE_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_ALTERNATIVE_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getSUB_ALTERNATIVE_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_QUERY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_QUERY_TYPE}
   * @since Sitevision 3.6.3
   */
  getSUB_QUERY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_SCRIPT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SUB_SCRIPT_TYPE}
   * @since Sitevision 3.6.3
   */
  getSUB_SCRIPT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SYSTEM_USER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SYSTEM_USER_TYPE}
   * @since Sitevision 3.6.3
   */
  getSYSTEM_USER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SYSTEM_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SYSTEM_GROUP_TYPE}
   * @since Sitevision 4.3
   */
  getSYSTEM_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPLATE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPLATE_REPOSITORY_TYPE}
   * @since Sitevision 3.6.3
   */
  getTEMPLATE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPORARY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPORARY_TYPE}
   * @since Sitevision 3.6.3
   */
  getTEMPORARY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPORARY_FILE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TEMPORARY_FILE_TYPE}
   * @since Sitevision 4.5.4
   */
  getTEMPORARY_FILE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TEXT_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TEXT_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getTEXT_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_ATTRIBUTE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_ATTRIBUTE_TYPE}
   * @since Sitevision 3.6.3
   */
  getUSER_ATTRIBUTE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_ATTRIBUTE_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_ATTRIBUTE_FIELD_TYPE}
   * @since Sitevision 3.6.3
   */
  getUSER_ATTRIBUTE_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_CONTAINER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_CONTAINER_TYPE}
   * @since Sitevision 3.6.3
   */
  getUSER_CONTAINER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_GROUP_TYPE}
   * @since Sitevision 3.6.3
   */
  getUSER_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_FILE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_FILE_TYPE}
   * @since Sitevision 3.6.3
   */
  getVFS_FILE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_FOLDER_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_FOLDER_TYPE}
   * @since Sitevision 3.6.3
   */
  getVFS_FOLDER_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_MOUNT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VFS_MOUNT_TYPE}
   * @since Sitevision 3.6.3
   */
  getVFS_MOUNT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VIEW_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VIEW_TYPE}
   * @since Sitevision 3.6.3
   */
  getVIEW_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VIRTUAL_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VIRTUAL_GROUP_TYPE}
   * @since Sitevision 3.6.3
   */
  getVIRTUAL_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#GLOBAL_VIRTUAL_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#GLOBAL_VIRTUAL_GROUP_TYPE}
   * @since Sitevision 4.2
   */
  getGLOBAL_VIRTUAL_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#INDEX_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#INDEX_REPOSITORY_TYPE}
   * @since Sitevision 3.6.4
   */
  getINDEX_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_DRAFT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_DRAFT_REPOSITORY_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_DRAFT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_DRAFT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_DRAFT_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_DRAFT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_REPOSITORY_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_FILE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_FILE_REPOSITORY_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_FILE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_IMAGE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MODULE_ELEMENT_IMAGE_REPOSITORY_TYPE}
   * @since Sitevision 4.2
   */
  getMODULE_ELEMENT_IMAGE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#CUSTOM_MODULE_TYPE}
   * @since Sitevision 4.2
   */
  getCUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ADDON_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ADDON_REPOSITORY_TYPE}
   * @since Sitevision 4.2
   */
  getADDON_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_TYPE}
   * @since Sitevision 4.5.2
   */
  getTAG_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_REPOSITORY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTAG_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_GROUP_TYPE}
   * @since Sitevision 5
   */
  getTAG_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_GROUP_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TAG_GROUP_REPOSITORY_TYPE}
   * @since Sitevision 5
   */
  getTAG_GROUP_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#HEADLESS_CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#HEADLESS_CUSTOM_MODULE_TYPE}
   * @since Sitevision 4.5.2
   */
  getHEADLESS_CUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WEB_APP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WEB_APP_TYPE}
   * @since Sitevision 4.5.2
   */
  getWEB_APP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WEB_APP_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WEB_APP_REPOSITORY_TYPE}
   * @since Sitevision 4.5.2
   */
  getWEB_APP_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#REST_APP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#REST_APP_TYPE}
   * @since Sitevision 4.5.2
   */
  getREST_APP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#REST_APP_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#REST_APP_REPOSITORY_TYPE}
   * @since Sitevision 4.5.2
   */
  getREST_APP_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COMMENT_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COMMENT_TYPE}
   * @since Sitevision 4.5.2
   */
  getCOMMENT_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_ENTRY_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_ENTRY_REPOSITORY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_ENTRY_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#BOOKMARKED_TIMELINE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#BOOKMARKED_TIMELINE_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getBOOKMARKED_TIMELINE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_FILE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_FILE_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_FILE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_FILE_WALL_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_FILE_WALL_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_FILE_WALL_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_SHARE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_SHARE_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_SHARE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_SHARE_PAGE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_SHARE_PAGE_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_SHARE_PAGE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_WALL_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TIMELINE_WALL_ENTRY_TYPE}
   * @since Sitevision 4.5.2
   */
  getTIMELINE_WALL_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DATA_STORE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DATA_STORE_REPOSITORY_TYPE}
   * @since Sitevision 5
   */
  getDATA_STORE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#KEY_VALUE_DATA_STORE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#KEY_VALUE_DATA_STORE_TYPE}
   * @since Sitevision 5
   */
  getKEY_VALUE_DATA_STORE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLECTION_DATA_STORE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#COLLECTION_DATA_STORE_TYPE}
   * @since Sitevision 5
   */
  getCOLLECTION_DATA_STORE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ROLE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ROLE_TYPE}
   * @since Sitevision 5
   */
  getROLE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#ROLE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#ROLE_REPOSITORY_TYPE}
   * @since Sitevision 5
   */
  getROLE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#VIRTUAL_GROUP_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#VIRTUAL_GROUP_REPOSITORY_TYPE}
   * @since Sitevision 5
   */
  getVIRTUAL_GROUP_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_FIELD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_FIELD_TYPE}
   * @since Sitevision 5.1
   */
  getUSER_FIELD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_FIELD_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#USER_FIELD_REPOSITORY_TYPE}
   * @since Sitevision 5.1
   */
  getUSER_FIELD_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_CUSTOM_MODULE_TYPE}
   * @since Sitevision 6
   */
  getMARKETPLACE_CUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_HEADLESS_CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_HEADLESS_CUSTOM_MODULE_TYPE}
   * @since Sitevision 6
   */
  getMARKETPLACE_HEADLESS_CUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_WIDGET_CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#MARKETPLACE_WIDGET_CUSTOM_MODULE_TYPE}
   * @since Sitevision 2024.02.1
   */
  getMARKETPLACE_WIDGET_CUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#RESPONSIVE_BREAKPOINT_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#RESPONSIVE_BREAKPOINT_REPOSITORY_TYPE}
   * @since Sitevision 6.2
   */
  getRESPONSIVE_BREAKPOINT_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_REPOSITORY_TYPE}
   * @since Sitevision 7
   */
  getTOPIC_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_TYPE}
   * @since Sitevision 7
   */
  getTOPIC_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_TIMELINE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TOPIC_TIMELINE_ENTRY_TYPE}
   * @since Sitevision 7
   */
  getTOPIC_TIMELINE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_INTEGRATION_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_INTEGRATION_REPOSITORY_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_TOPIC_INTEGRATION_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_INTEGRATION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_INTEGRATION_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_TOPIC_INTEGRATION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_TOPIC_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TIMELINE_ENTRY_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TIMELINE_ENTRY_REPOSITORY_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_TIMELINE_ENTRY_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_TIMELINE_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_TOPIC_TIMELINE_ENTRY_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_TOPIC_TIMELINE_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_COMMENT_ENTRY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#EXTERNAL_COMMENT_ENTRY_TYPE}
   * @since Sitevision 7
   */
  getEXTERNAL_COMMENT_ENTRY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#OAUTH2_CONFIGURATION_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#OAUTH2_CONFIGURATION_REPOSITORY_TYPE}
   * @since Sitevision 7
   */
  getOAUTH2_CONFIGURATION_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#OAUTH2_CONFIGURATION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#OAUTH2_CONFIGURATION_TYPE}
   * @since Sitevision 7
   */
  getOAUTH2_CONFIGURATION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TYPE}
   * @since Sitevision 2023.09.2
   */
  getWORK_STATUS_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TEMPLATE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TEMPLATE_TYPE}
   * @since Sitevision 2023.09.2
   */
  getWORK_STATUS_TEMPLATE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TEMPLATE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WORK_STATUS_TEMPLATE_REPOSITORY_TYPE}
   * @since Sitevision 2023.09.2
   */
  getWORK_STATUS_TEMPLATE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#DASHBOARD_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#DASHBOARD_TYPE}
   * @since Sitevision 2024.02.1
   */
  getDASHBOARD_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#WIDGET_CUSTOM_MODULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#WIDGET_CUSTOM_MODULE_TYPE}
   * @since Sitevision 2024.02.1
   */
  getWIDGET_CUSTOM_MODULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#CSS_RULE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#CSS_RULE_REPOSITORY_TYPE}
   * @since Sitevision 2024.04.2
   */
  getCSS_RULE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#CSS_RULE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#CSS_RULE_TYPE}
   * @since Sitevision 2024.04.2
   */
  getCSS_RULE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_REPOSITORY_TYPE}
   * @since Sitevision 2024.09.2
   */
  getTARGET_AUDIENCE_REPOSITORY_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_TYPE}
   * @since Sitevision 2024.09.2
   */
  getTARGET_AUDIENCE_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_GROUP_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#TARGET_AUDIENCE_GROUP_TYPE}
   * @since Sitevision 2024.09.2
   */
  getTARGET_AUDIENCE_GROUP_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_TARGET_AUDIENCE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_SINGLE_TARGET_AUDIENCE_DEFINITION_TYPE}
   * @since Sitevision 2024.09.2
   */
  getMETADATA_SINGLE_TARGET_AUDIENCE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_TARGET_AUDIENCE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MULTIPLE_TARGET_AUDIENCE_DEFINITION_TYPE}
   * @since Sitevision 2024.09.2
   */
  getMETADATA_MULTIPLE_TARGET_AUDIENCE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#GEOLOCATION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#GEOLOCATION_TYPE}
   * @since Sitevision 2024.10.1
   */
  getGEOLOCATION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_GEOLOCATION_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_GEOLOCATION_DEFINITION_TYPE}
   * @since Sitevision 2024.10.1
   */
  getMETADATA_GEOLOCATION_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MODULE_DEFINITION_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#METADATA_MODULE_DEFINITION_TYPE}
   * @since Sitevision 2025.01.1
   */
  getMETADATA_MODULE_DEFINITION_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SEMANTIC_INDEX_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SEMANTIC_INDEX_TYPE}
   * @since Sitevision 2025.03.1
   */
  getSEMANTIC_INDEX_TYPE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.node.NodeTypeUtil#SEMANTIC_INDEX_REPOSITORY_TYPE}.
   * @return {@link senselogic.sitevision.api.node.NodeTypeUtil#SEMANTIC_INDEX_REPOSITORY_TYPE}
   * @since Sitevision 2025.03.1
   */
  getSEMANTIC_INDEX_REPOSITORY_TYPE(): string;
};
