import type { String } from "../../../../../../java/lang/String";

/**
 * Get methods for accessing field constants defined in {@link senselogic.sitevision.api.webresource.PageUtil}.
 *
 *  <p>
 *     The sole purpose of this interface is to provide access to {@link senselogic.sitevision.api.webresource.PageUtil}
 *     constants in Velocity, e.g: <code>$pageUtil.PROPERTY_LAST_MODIFIED_DATE</code>
 *  </p>
 * @author Magnus Lövgren
 * @since Sitevision 3.6.2
 */
export type PageUtilConstants = {
  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_VISIBLE_IN_MENUS}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_VISIBLE_IN_MENUS}
   */
  getPROPERTY_VISIBLE_IN_MENUS(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_SHORTID}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_SHORTID}
   */
  getPROPERTY_SHORTID(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LOCALE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LOCALE}
   */
  getPROPERTY_LOCALE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_ROBOTS_INDEX}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_ROBOTS_INDEX}
   */
  getPROPERTY_ROBOTS_INDEX(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_CREATION_DATE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_CREATION_DATE}
   */
  getPROPERTY_CREATION_DATE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_CREATED_BY}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_CREATED_BY}
   */
  getPROPERTY_CREATED_BY(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_MODIFIED_DATE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_MODIFIED_DATE}
   */
  getPROPERTY_LAST_MODIFIED_DATE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_MODIFIED_BY}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_MODIFIED_BY}
   */
  getPROPERTY_LAST_MODIFIED_BY(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_PUBLISHED_BY}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_PUBLISHED_BY}
   */
  getPROPERTY_LAST_PUBLISHED_BY(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_PUBLISH_DATE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_PUBLISH_DATE}
   */
  getPROPERTY_LAST_PUBLISH_DATE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_PUBLISHED_BY}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_PUBLISHED_BY}
   */
  getPROPERTY_PUBLISHED_BY(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_PUBLISH_DATE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_PUBLISH_DATE}
   */
  getPROPERTY_PUBLISH_DATE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_UNPUBLISHED_BY}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_UNPUBLISHED_BY}
   */
  getPROPERTY_LAST_UNPUBLISHED_BY(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_UNPUBLISH_DATE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_LAST_UNPUBLISH_DATE}
   * @since Sitevision 2024.01.2
   */
  getPROPERTY_LAST_UNPUBLISH_DATE(): string;

  /**
   * Get accessor for {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_TITLE}.
   * @return {@link senselogic.sitevision.api.webresource.PageUtil#PROPERTY_TITLE}
   * @since Sitevision 2024.01.2
   */
  getPROPERTY_TITLE(): string;
};
